KDE 4.9 PyKDE API Reference

- KDE's Python API

# KParts Namespace Reference

`from PyKDE4.kparts.KParts import *`

## Detailed Description

## Class Index

B | H | PartManager (KParts)
BrowserArguments (KParts) | HistoryProvider (KParts) | PartSelectEvent (KParts)
BrowserExtension (KParts) | HtmlExtension (KParts) | Plugin (KParts)
BrowserHostExtension (KParts) | HtmlSettingsInterface (KParts) | PluginInfo (KParts.Plugin)
BrowserInterface (KParts) | L | R
BrowserOpenOrSaveQuestion (KParts) | LiveConnectExtension (KParts) | ReadOnlyPart (KParts)
BrowserRun (KParts) | M | ReadWritePart (KParts)
E | MainWindow (KParts) | S
Element (KParts.SelectorInterface) | O | ScriptableExtension (KParts)
Event (KParts) | OpenUrlArguments (KParts) | SelectorInterface (KParts)
F | OpenUrlEvent (KParts) | StatusBarExtension (KParts)
Factory (KParts) | P | T
FileInfoExtension (KParts) | Part (KParts) | TextExtension (KParts)
G | PartActivateEvent (KParts) | W
GUIActivateEvent (KParts) | PartBase (KParts) | WindowArgs (KParts)

## Functions

long | qHash (KParts::ScriptableExtension::Object o)
long | qHash (KParts::ScriptableExtension::FunctionRef f)

## Function Documentation

long qHash | ( | KParts::ScriptableExtension::Object | o
| ) |  |  |

An extension class that permits KParts to be scripted (such as when embedded inside a KHTMLPart) and to access the host's scriptable objects as well.

See ScriptValueTypes for how values are passed to/from various methods here.

Since:
  4.5

\nosubgrouping

long qHash | ( | KParts::ScriptableExtension::FunctionRef | f
| ) |  |  |

An extension class that permits KParts to be scripted (such as when embedded inside a KHTMLPart) and to access the host's scriptable objects as well.

See ScriptValueTypes for how values are passed to/from various methods here.

Since:
  4.5

\nosubgrouping